from setuptools import setup
import versioneer

requirements = [
    # package requirements go here
#    'gurobipy',
    'networkx',
#    'matplotlib.pyplot'
    'matplotlib'
]

#links = [
#    'https://www.gurobi.com/downloads/'
#]

setup(
    name='k_hop_dominating_set_gurobi',
    version=versioneer.get_version(),
    cmdclass=versioneer.get_cmdclass(),
    description="A set of python scripts to solve k hop dominating set variants using ILP and gurobi as MIP solver ",
    license="MIT",
    author="Mario Surlemont",
    author_email='mario.surlemont@uni-duesseldorf.de',
    url='https://github.com/mario.surlemont@uni-duesseldorf.de/k_hop_dominating_set_gurobi',
    packages=['k_hop_dominating_set_gurobi'],
    entry_points={
        'console_scripts': [
            'k_hop_dominating_set_gurobi=k_hop_dominating_set_gurobi.cli:cli'
        ]
    },
    install_requires=requirements,
    keywords='k_hop_dominating_set_gurobi',
    classifiers=[
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
    ]
#    dependency_links=links
)
